Below is an organized summary of the employee feedback by category:

─────────────────────────────  
Training  
─────────────────────────────
• Employees are generally pleased with the updated and diversified training offerings (covering topics like cybersecurity, CRM systems, data analytics, and digital transformation).  
• Hands‐on sessions (e.g., remote work tools and system backups) and structured onboarding are recognized as valuable for skill development.  
• Regularly scheduled sessions and recurring updates suggest a commitment to continuous learning across the organization.  
• A few comments hint that not all workshops may be equally effective, suggesting that consistency and engagement levels could be further optimized.

─────────────────────────────  
Network  
─────────────────────────────
• Multiple reports point to erratic network performance, especially during peak hours and remote access situations.  
• Frequent VPN hiccups, router misconfigurations, and unexpected outages during video conferences indicate operational challenges.  
• While some employees acknowledge that the underlying infrastructure is robust, recurring configuration and maintenance issues are undermining reliability.  
• The persistent connection problems seem systemic, indicating a need for better network management and monitoring protocols.

─────────────────────────────  
IT-support  
─────────────────────────────
• Overall, IT-support is well-regarded for its prompt response times and proactive assistance with routine issues.  
• Positive remarks emphasize the willingness and customer-centric attitude of both the help desk and support team.  
• There are minor notes of inconsistency where certain resolution processes could be improved for complex or less common problems.  
• Frequent interactions generally yield satisfactory outcomes, reinforcing the value of the IT-support team in day‑to‑day operations.

─────────────────────────────  
Other  
─────────────────────────────
• Communication challenges are prominent—with several comments describing policy updates, internal memos, and management directives as abstract, riddle‑like, or confusing—leading to employee uncertainty.  
• Several entries critique unpredictable software updates, problematic system patches, and lingering issues with older hardware (including mysterious printer malfunctions), which impact overall efficiency.  
• Logistical concerns—including disappearing office supplies and misaligned changes in logistical support—hint at gaps in operational management and procurement.  
• Feedback on leadership and organizational direction (including remarks on recent leadership changes) echoes a sense of misalignment and lacks clear, actionable messaging.  
• A sprinkling of humorous, satirical comments (e.g., “potato internet” and “unicorn protocols”) underscores deeper frustrations with promises that the systems and policies don’t always live up to expectations.

This summary encapsulates key sentiments, recurring themes, and outlier perspectives as expressed by employees from different areas of internal IT operations and organizational management.